Вопрос: Как установить LLVM / Clang 3.0?


Так выпущен LLVM 3.0, и я хотел бы использовать его в своей системе Ubuntu 11.10. На Страница загрузки LLVM, есть файлы для LLVM + Clang 3.0, созданные для Ubuntu 11.10 (и 11.04 и других систем) в x86 и x86_64 вариантах. Я вижу, что 12.04 будет иметь LLMV 3.0 из диспетчера пакетов, но, похоже, нет никаких PPA с новой версией для более старых выпусков Ubuntu, а также нет 3.0 в back-ports.

Я мог бы, я полагаю, распаковать tarballs в /usr/local, а затем удалите его, если / когда «официальные» задние порты станут доступными, но это мой лучший вариант?


4
2017-12-21 21:30


Источник




Ответы:


Я бы распаковал двоичный файл ubuntu /usr/local и установите .deb, когда он станет доступен, либо в ppa, либо в качестве backports.


4
2017-12-21 21:59



не могли бы вы объяснить процедуру установки, я загружаю llvm, и у меня есть 5 папок, имена которых bin,include,lib,libexec а также share как я могу установить llvm с помощью этих папок? - saeed masoomi
@saeedmasoomi, вы понимаете этот вопрос / ответ с 2011 года и спрашиваете о версии Ubuntu, которая больше не поддерживается? Я предлагаю вам задать новый вопрос о поддерживаемом выпуске и уточнить, что вы пытаетесь сделать. - Panther